<?php

namespace EventPortal\AuthPassword;

class EmailAction
{
    const HANDLER_ROUTE = 'email-action-handler';

    /** @var null|string */
    private $intendedUrl = null;

    /** @var null|string */
    private $token = null;

    /** boolean */
    private $absolute = true;

    public function __construct(string $intendedUrl)
    {
        $this->intendedUrl = $intendedUrl;
    }

    public static function make(string $intendedUrl): self
    {
        return new self($intendedUrl);
    }

    public function token(?string $token): self
    {
        $this->token = $token;

        return $this;
    }

    public function absolute(bool $absolute): self
    {
        $this->absolute = $absolute;

        return $this;
    }

    public function get(): string
    {
        $parameters = [];

        if ($this->intendedUrl !== null) {
            $parameters['intended_url'] = $this->intendedUrl;
        }

        if ($this->token !== null) {
            $parameters['token'] = $this->token;
        }

        return route($this::HANDLER_ROUTE, $parameters, $this->absolute);
    }
}
