<?php

namespace EventPortal\AuthPassword\Http\Controllers;

use EventPortal\AuthPassword\Http\Requests\StoreCreatePassword;
use EventPortal\AuthPassword\Rules;
use Illuminate\Http\RedirectResponse;
use Illuminate\Support\Facades\Auth;
use Inertia\Inertia;
use Inertia\Response;

class CreatePasswordController
{
    public function index(): Response
    {
        return Inertia::render('CreatePassword/Index', [
            'token' => request()->token,
            'rules' => Rules::forPassword(),
        ]);
    }

    public function store(StoreCreatePassword $request, string $uuid): RedirectResponse
    {
        $user = config('auth.providers.users.model')::where('password_token', $uuid)->firstOrFail();

        $user->password = bcrypt($request->password);
        $user->password_created_at = now();
        $user->password_token = null;
        $user->save();

        Auth::login($user);

        return redirect()->intended($user->getHomeRoute());
    }
}
