<?php

namespace EventPortal\AuthPassword\Http\Controllers;

use EventPortal\AuthPassword\Rules;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\ResetsPasswords;
use Inertia\Inertia;
use Inertia\Response;

class ResetPasswordController extends Controller
{
    use ResetsPasswords;

    public function showResetForm(): Response
    {
        return Inertia::render('ResetPassword/Index', [
            'email' => request()->email,
            'token' => request()->token,
            'rules' => Rules::forPassword(),
        ]);
    }

    public function redirectPath(): string
    {
        return route('login.index');
    }

    protected function rules(): array
    {
        return Rules::forPassword();
    }
}
