<?php

namespace EventPortal\AuthPassword;

use EventPortal\AuthPassword\Rules\NovoRule;

class Rules
{
    public static function forPassword(): array
    {
        return collect(config('auth-password.validation.password'))
            ->reject(function ($rule) {
                return gettype($rule) === 'string';
            })
            ->map(function (NovoRule $rule) {
                return [
                    'label' => $rule->frontEndLabel(),
                    'validation' => $rule->frontEndValidation(),
                ];
            })
            ->values()
            ->toArray();
    }
}
