<?php

namespace EventPortal\AuthPassword\Tests\Unit;

use EventPortal\AuthPassword\EmailAction;
use EventPortal\AuthPassword\Tests\TestCase;

class EmailActionTest extends TestCase
{
    /** @test **/
    public function make_with_intended_url()
    {
        $action = EmailAction::make('http://google.com')->get();

        $this->assertSame(
            'http://localhost/email-action-handler?intended_url=http%3A%2F%2Fgoogle.com',
            $action
        );
    }

    /** @test **/
    public function make_with_token()
    {
        $action = EmailAction::make('http://google.com')->token('12345')->get();

        $this->assertSame(
            'http://localhost/email-action-handler?intended_url=http%3A%2F%2Fgoogle.com&token=12345',
            $action
        );
    }

    /** @test **/
    public function make_route_not_absolute()
    {
        $action = EmailAction::make('http://google.com')->absolute(false)->get();

        $this->assertSame(
            '/email-action-handler?intended_url=http%3A%2F%2Fgoogle.com',
            $action
        );
    }
}
